### Function

# GLib Sequence move_range

since: 2.14

#### Declaration

    void
    g_sequence_move_range (
      GSequenceIter* dest,
      GSequenceIter* begin,
      GSequenceIter* end
    )

#### Description

Inserts the (`begin`, `end`) range at the destination pointed to by `dest`. The `begin` and `end` iters must point into the same sequence. It is allowed for `dest` to point to a different sequence than the one pointed into by `begin` and `end`.

If `dest` is `NULL`, the range indicated by `begin` and `end` is removed from the sequence. If `dest` points to a place within the (`begin`, `end`) range, the range does not move.

Available since: 2.14

#### Parameters

`dest`

  Type: `GSequenceIter`

  A `GSequenceIter`.

  The data is owned by the caller of the function.

`begin`

  Type: `GSequenceIter`

  A `GSequenceIter`.

  The data is owned by the caller of the function.

`end`

  Type: `GSequenceIter`

  A `GSequenceIter`.

  The data is owned by the caller of the function.